#include <iostream>
#include "car.h"
#include "client.h"

using namespace std;

//----------

Car::Car (const string& name, double price)
{
   this->name  = name;
   this->price = price;
}

//----------

Car::Car (istream& is)
{
   is >> name >> price;
}

//-----------

void Car::save (ostream& os) const
{
   os << name << " " << price << endl;
}

//-----------

double Car::getProfit () const
{
   double profit = 0;
   vector<Renting*>::const_iterator iter = rentings.begin();
   for (;  iter != rentings.end();  iter++)
       profit += (*iter)->getProfit();
   return profit;   
}

//-----------

void Car::print () const
{
   cout << name << " "  << price
        << " pelnas=" << getProfit() << endl;
}

//----------

void Car::addRenting(Renting* renting)
{
   rentings.push_back(renting);
}

//----------

void Car::removeRenting (Renting* renting) //friend of Client
{
   for (int i = 0;  i < rentings.size();  i++)
      if (rentings[i] == renting)
      {
          rentings.erase(rentings.begin() + i);
          break;
      }
   ((Client*)renting->getClient())->removeRenting(renting);
   delete renting;   
}
