//==============  car.h  ================

#ifndef __car_h
#define __car_h

#include <iostream>
#include <string>
#include <vector>
#include "renting.h"

//----------

class Car
{
protected:

   std::string           name;
   double                price;
   std::vector<Renting*> rentings;

public:

   Car (const std::string& name, double price);
   Car (std::istream& is);

   void save  (std::ostream& os) const;

   std::string getName   () const {return name;}
   double      getPrice  () const {return price;}
   double      getProfit () const;
   void        print     () const;

   void     addRenting      (Renting* renting);
   int      getRentingCount () const {return rentings.size();}
   Renting* getRenting      (int i)  {return rentings[i];}
   void     removeRenting   (Renting* renting);
   
};

#endif // __car_h

//=================================================================
